Subject: Re: [Netconf] I-D Action: draft-wu-netconf-restconf-factory-restore-00.txt

From: Qin Wu <[email-masked]>
Date: Sun, 15 Jul 2018 20:11:28 +0000

Yes, the new factory is also applicable to NETCONF and other YANG based protocol.
Good catch for security section, will fix that in the next version.

-Qin
发件人: Reshad Rahman (rrahman) [mailto:[email-masked]]
发送时间: 2018年7月15日 21:59
收件人: Rohit R Ranade <[email-masked]>; Qin Wu <[email-masked]>
抄送: netconf <[email-masked]>
主题: Re: [Netconf] I-D Action: draft-wu-netconf-restconf-factory-restore-00.txt

Hi,

The new “factory” datastore can be used for NETCONF also so a corresponding NETCONF draft should be updated to support this functionality?

BTW the security considerations section refers to NETCONF instead of RESTCONF.

Regards,
Reshad.

From: Netconf <[email-masked]<mailto:[email-masked]>> on behalf of Rohit R Ranade <[email-masked]<mailto:[email-masked]>>
Date: Monday, July 2, 2018 at 11:23 PM
To: Qin Wu <[email-masked]<mailto:[email-masked]>>
Cc: netconf <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netconf] I-D Action: draft-wu-netconf-restconf-factory-restore-00.txt

In addition, when a device boots then <startup> is initialized to <factory> if it doesn't exist.  Or alternatively, <running> is initialized to <factory> if <startup> doesn't exist.
A client can use an RPC to copy <factory> to <startup> or to <running> if they want, but then can never write to <factory> (although factory could change via a software update).

[Qin]: Good summary, this is exactly what we like to propose.
[Rohit R Ranade] +1

Existing protocol operations can be used (e.g, copy-config from factory to running).
Now RESTCONF is datastore aware, it looks like we need to add a "copy-config" RPC (or should it just be "copy"?) to RESTCONF to allow the contents of one datastore to be copied to another datastore.  Such an RPC should be entirely generic and not tied to the factory datastore in anyway.

[Qin]: Yes, one of our thoughts is to define a generic operation, e.g., copy-datastore, delete-datastore, maybe compare-datastore, all these operations are datastore level instead of data node level.
[Rohit R Ranade] +1 .

Possibly, related to this, it might be worth considering if there are any other operations in NETCONF that should be supported in RESTCONF and to do that as a single update to the protocol rather than lots of piecemeal extensions.